## Vaucanson, a generic library for finite state machines.
## Copyright (C) 2011 The Vaucanson Group.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## The complete GNU General Public Licence Notice can be found as the
## `COPYING' file in the root directory.
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
##
## NOTE: this file was generated automatically with generate_libvcsn.rb
##

lib_LTLIBRARIES	+= libvcsn-f2.la
libvcsn_f2_la_CXXFLAGS	= $(CXXFLAGS) -DVCSN_CONTEXT=f2_automaton
libvcsn_f2_la_LIBADD	= $(LIBOBJS) $(LIBADD) $(benchlib)
libvcsn_f2_la_SOURCES	= vcsn-f2/all.cc
## all.cc includes all the source files below.  We declare them
## as EXTRA_*_SOURCES so they are distributed and so we can
## build a single object file on demand.
EXTRA_libvcsn_f2_la_SOURCES = \
  vcsn-f2/accessible.cc	\
  vcsn-f2/aci_canonical.cc	\
  vcsn-f2/aut_to_exp.cc	\
  vcsn-f2/berry_sethi.cc	\
  vcsn-f2/brzozowski.cc	\
  vcsn-f2/complement.cc	\
  vcsn-f2/complete.cc	\
  vcsn-f2/cut_up.cc	\
  vcsn-f2/derived_term_automaton.cc	\
  vcsn-f2/determinize.cc	\
  vcsn-f2/eps_removal.cc	\
  vcsn-f2/eps_removal_sp.cc	\
  vcsn-f2/equivalent.cc	\
  vcsn-f2/eval.cc	\
  vcsn-f2/factor.cc	\
  vcsn-f2/finite_support_conversion.cc	\
  vcsn-f2/infiltration.cc	\
  vcsn-f2/is_ambiguous.cc	\
  vcsn-f2/is_deterministic.cc	\
  vcsn-f2/is_empty.cc	\
  vcsn-f2/is_trim.cc	\
  vcsn-f2/is_useless.cc	\
  vcsn-f2/isomorph.cc	\
  vcsn-f2/krat_exp_constant_term.cc	\
  vcsn-f2/krat_exp_expand.cc	\
  vcsn-f2/krat_exp_flatten.cc	\
  vcsn-f2/krat_exp_realtime.cc	\
  vcsn-f2/minimization_hopcroft.cc	\
  vcsn-f2/minimization_moore.cc	\
  vcsn-f2/normalized.cc	\
  vcsn-f2/prefix.cc	\
  vcsn-f2/product.cc	\
  vcsn-f2/realtime.cc	\
  vcsn-f2/reduce.cc	\
  vcsn-f2/shortest.cc	\
  vcsn-f2/shuffle.cc	\
  vcsn-f2/standard.cc	\
  vcsn-f2/standard_of.cc	\
  vcsn-f2/sub_automaton.cc	\
  vcsn-f2/suffix.cc	\
  vcsn-f2/thompson.cc	\
  vcsn-f2/transpose.cc	\
  vcsn-f2/trim.cc	

MAINTAINERCLEANFILES += $(libvcsn_f2_la_SOURCES) $(EXTRA_libvcsn_f2_la_SOURCES) vcsn-f2/libvcsn-f2.mk
