// standard.cc: this file is part of the Vaucanson project.
//
// Vaucanson, a generic library for finite state machines.
//
// Copyright (C) 2011 The Vaucanson Group.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// The complete GNU General Public Licence Notice can be found as the
// `COPYING' file in the root directory.
//
// The Vaucanson Group consists of people listed in the `AUTHORS' file.
//
// NOTE: this file was generated automatically with generate_libvcsn.rb
//

#include <vaucanson/fmp_transducer_structures.hh>
#include <vaucanson/algorithms/standard.hh>

namespace vcsn
{
  template
  void union_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a2);
  template
  void union_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a2);
  template
  VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t union_(const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a2);
  template
  VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t union_(const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a2);
  template
  bool is_standard(const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a);
  template
  bool is_standard(const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a);
  template
  void standardize(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a);
  template
  void standardize(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a);
  template
  void sum_of_standard_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a2);
  template
  void sum_of_standard_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a2);
  template
  VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t sum_of_standard(const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a2);
  template
  VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t sum_of_standard(const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a2);
  template
  void concat_of_standard_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a2);
  template
  void concat_of_standard_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a2);
  template
  VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t concat_of_standard(const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a2);
  template
  VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t concat_of_standard(const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a1, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a2);
  template
  void star_of_standard_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a);
  template
  void star_of_standard_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a);
  template
  VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t star_of_standard(const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a);
  template
  VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t star_of_standard(const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a);
  template
  void left_mult_of_standard_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t::series_set_elt_t& k);
  template
  void left_mult_of_standard_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t::series_set_elt_t& k);
  template
  void right_mult_of_standard_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t& a, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::automaton_t::series_set_elt_t& k);
  template
  void right_mult_of_standard_here(VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t& a, const VCSN_DEFAULT_GRAPH_IMPL::VCSN_CONTEXT::gen_automaton_t::series_set_elt_t& k);
} // End of namespace vcsn

