## Vaucanson, a generic library for finite state machines.
## Copyright (C) 2011 The Vaucanson Group.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## The complete GNU General Public Licence Notice can be found as the
## `COPYING' file in the root directory.
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
##
## NOTE: this file was generated automatically with generate_libvcsn.rb
##

lib_LTLIBRARIES	+= libvcsn-int-z.la
libvcsn_int_z_la_CXXFLAGS	= $(CXXFLAGS) -DVCSN_CONTEXT=int_z_automaton
libvcsn_int_z_la_LIBADD	= $(LIBOBJS) $(LIBADD) $(benchlib)
libvcsn_int_z_la_SOURCES	= vcsn-int-z/all.cc
## all.cc includes all the source files below.  We declare them
## as EXTRA_*_SOURCES so they are distributed and so we can
## build a single object file on demand.
EXTRA_libvcsn_int_z_la_SOURCES = \
  vcsn-int-z/accessible.cc	\
  vcsn-int-z/aci_canonical.cc	\
  vcsn-int-z/aut_to_exp.cc	\
  vcsn-int-z/berry_sethi.cc	\
  vcsn-int-z/brzozowski.cc	\
  vcsn-int-z/complement.cc	\
  vcsn-int-z/complete.cc	\
  vcsn-int-z/cut_up.cc	\
  vcsn-int-z/derived_term_automaton.cc	\
  vcsn-int-z/determinize.cc	\
  vcsn-int-z/eps_removal.cc	\
  vcsn-int-z/eps_removal_sp.cc	\
  vcsn-int-z/equivalent.cc	\
  vcsn-int-z/eval.cc	\
  vcsn-int-z/factor.cc	\
  vcsn-int-z/finite_support_conversion.cc	\
  vcsn-int-z/infiltration.cc	\
  vcsn-int-z/is_ambiguous.cc	\
  vcsn-int-z/is_deterministic.cc	\
  vcsn-int-z/is_empty.cc	\
  vcsn-int-z/is_trim.cc	\
  vcsn-int-z/is_useless.cc	\
  vcsn-int-z/isomorph.cc	\
  vcsn-int-z/krat_exp_constant_term.cc	\
  vcsn-int-z/krat_exp_expand.cc	\
  vcsn-int-z/krat_exp_flatten.cc	\
  vcsn-int-z/krat_exp_realtime.cc	\
  vcsn-int-z/minimization_hopcroft.cc	\
  vcsn-int-z/minimization_moore.cc	\
  vcsn-int-z/normalized.cc	\
  vcsn-int-z/prefix.cc	\
  vcsn-int-z/product.cc	\
  vcsn-int-z/realtime.cc	\
  vcsn-int-z/shortest.cc	\
  vcsn-int-z/shuffle.cc	\
  vcsn-int-z/standard.cc	\
  vcsn-int-z/standard_of.cc	\
  vcsn-int-z/sub_automaton.cc	\
  vcsn-int-z/suffix.cc	\
  vcsn-int-z/thompson.cc	\
  vcsn-int-z/transpose.cc	\
  vcsn-int-z/trim.cc	

MAINTAINERCLEANFILES += $(libvcsn_int_z_la_SOURCES) $(EXTRA_libvcsn_int_z_la_SOURCES) vcsn-int-z/libvcsn-int-z.mk
