## Vaucanson, a generic library for finite state machines.
## Copyright (C) 2011 The Vaucanson Group.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## The complete GNU General Public Licence Notice can be found as the
## `COPYING' file in the root directory.
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
##
## NOTE: this file was generated automatically with generate_libvcsn.rb
##

lib_LTLIBRARIES	+= libvcsn-q.la
libvcsn_q_la_CXXFLAGS	= $(CXXFLAGS) -DVCSN_CONTEXT=q_automaton
libvcsn_q_la_LIBADD	= $(LIBOBJS) $(LIBADD) $(benchlib)
libvcsn_q_la_SOURCES	= vcsn-q/all.cc
## all.cc includes all the source files below.  We declare them
## as EXTRA_*_SOURCES so they are distributed and so we can
## build a single object file on demand.
EXTRA_libvcsn_q_la_SOURCES = \
  vcsn-q/accessible.cc	\
  vcsn-q/aci_canonical.cc	\
  vcsn-q/aut_to_exp.cc	\
  vcsn-q/berry_sethi.cc	\
  vcsn-q/brzozowski.cc	\
  vcsn-q/complement.cc	\
  vcsn-q/complete.cc	\
  vcsn-q/cut_up.cc	\
  vcsn-q/derived_term_automaton.cc	\
  vcsn-q/determinize.cc	\
  vcsn-q/eps_removal.cc	\
  vcsn-q/eps_removal_sp.cc	\
  vcsn-q/equivalent.cc	\
  vcsn-q/eval.cc	\
  vcsn-q/factor.cc	\
  vcsn-q/finite_support_conversion.cc	\
  vcsn-q/infiltration.cc	\
  vcsn-q/is_ambiguous.cc	\
  vcsn-q/is_deterministic.cc	\
  vcsn-q/is_empty.cc	\
  vcsn-q/is_trim.cc	\
  vcsn-q/is_useless.cc	\
  vcsn-q/isomorph.cc	\
  vcsn-q/krat_exp_constant_term.cc	\
  vcsn-q/krat_exp_expand.cc	\
  vcsn-q/krat_exp_flatten.cc	\
  vcsn-q/krat_exp_realtime.cc	\
  vcsn-q/minimization_hopcroft.cc	\
  vcsn-q/minimization_moore.cc	\
  vcsn-q/normalized.cc	\
  vcsn-q/prefix.cc	\
  vcsn-q/product.cc	\
  vcsn-q/realtime.cc	\
  vcsn-q/reduce.cc	\
  vcsn-q/shortest.cc	\
  vcsn-q/shuffle.cc	\
  vcsn-q/standard.cc	\
  vcsn-q/standard_of.cc	\
  vcsn-q/sub_automaton.cc	\
  vcsn-q/suffix.cc	\
  vcsn-q/thompson.cc	\
  vcsn-q/transpose.cc	\
  vcsn-q/trim.cc	

MAINTAINERCLEANFILES += $(libvcsn_q_la_SOURCES) $(EXTRA_libvcsn_q_la_SOURCES) vcsn-q/libvcsn-q.mk
